%define pkg_name        Convert-ASCII-Armour
%define pkg_version     1.4
%define rpm_pkg_version 1.4
%define rpm_pkg_release 3.n0i.7

Summary:       Convert binary octets into ASCII armoured messages
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/V/VI/VIPUL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Compress::Zlib)}
%{!?_without_test:BuildRequires: perl(Digest::MD5)}
%{!?_without_test:BuildRequires: perl(MIME::Base64)}


%description
This module converts hashes of binary octets into ASCII messages suitable for
transfer over 6-bit clean transport channels. The encoded ASCII resembles
PGP's armoured messages, but are in no way compatible with PGP.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ARTISTIC


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.4-3.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer 2.004
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.4-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.4-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.4-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.4-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:1.4-0.n0i.2
- version 1.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 1.4-0.n0i
- Initial build.
